/*
 * $Id: Instance_getName.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Instance.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Instance::getName"
  std::string Instance::getName (void)
  {
    log_begin(Configuration,FUNCTION);

    std::string _return = _name;

    log_end(Configuration,FUNCTION);

    return _return;
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
